Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040679
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2019-04-25 10:382019-09-24 14:56
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision1263cc92a565
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040679: Calculate Indirect Cost button should not appear in Indirect Cost - Value tab is Cost UOM is Percentage

DescriptionCalculate Indirect Cost button should not appear in Indirect Cost - Value tab is Cost UOM is Percentage
Steps To ReproduceAs group admin role:
   Create a Indirect Cost
   Add a Value to it, set it as Cost UOM = Percentage and set a Cost to it
   Launch the Calculate Indirect Cost process and check the following error is shown:
      "Total cost not defined"
   Total cost cannot be set as the total field is hidden when Cost UOM = Percentage
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114307)
collazoandy4 (developer)
2019-08-28 20:59

As group admin role:
   Go to Indirect Cost window and create a new record:
     Name: Test
     Check in value tab the Calculate Indirect Cost button is no shown if Cost UOM = Percentage
(0114712)
hgbot (developer)
2019-09-23 08:36

Repository: erp/devel/pi
Changeset: 1263cc92a565b6403706d58e969de25184fbcb13
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Aug 28 14:29:14 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/1263cc92a565b6403706d58e969de25184fbcb13 [^]

Fixes issue 40679: Calculate Indirect Cost button should not appear in Indirect
Cost - Value tab is Cost UOM is Percentage

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0114713)
Sandrahuguet (developer)
2019-09-23 08:37

code review + testing ok
(0114758)
hudsonbot (developer)
2019-09-24 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fab39d1f8dc5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-25 10:38 ngarcia New Issue
2019-04-25 10:38 ngarcia Assigned To => Triage Finance
2019-04-25 10:38 ngarcia Modules => Core
2019-04-25 10:38 ngarcia Triggers an Emergency Pack => No
2019-04-25 10:40 ngarcia Issue Monitored: networkb
2019-04-25 16:48 jfrances Issue Monitored: jfrances
2019-08-28 17:51 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-08-28 17:51 collazoandy4 Status new => scheduled
2019-08-28 20:59 collazoandy4 Note Added: 0114307
2019-09-23 08:36 hgbot Checkin
2019-09-23 08:36 hgbot Note Added: 0114712
2019-09-23 08:36 hgbot Status scheduled => resolved
2019-09-23 08:36 hgbot Resolution open => fixed
2019-09-23 08:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1263cc92a565b6403706d58e969de25184fbcb13 [^]
2019-09-23 08:37 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-23 08:37 Sandrahuguet Note Added: 0114713
2019-09-23 08:37 Sandrahuguet Status resolved => closed
2019-09-23 08:37 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-24 14:56 hudsonbot Checkin
2019-09-24 14:56 hudsonbot Note Added: 0114758


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker